%define enable_usbdevfs 0

Summary:	Rio 500 Support
Name:		rio500
Version:	0.8.1
Release:	7mdk
License:	GPL
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Patch0:		rio500-gcc3.4-fix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://rio500.sourceforge.net/
BuildRequires:	libglib2.0-devel
%if %{enable_usbdevfs}
BuildRequires:	libusb-devel
%endif

%description 
The Rio 500 support package consists of a static library (librio500)
containing low level rio access routines and a number of command
line utilities. These utilities will allow you to format the
memory in your rio, add/delete folders, and add/delete songs.

%package	utils
Summary:	%{summary}
Group:		%{group}
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{name}
Requires:	%{name}-share = %{version}-%{release}

%description	utils
The Rio 500 support package consists of a static library (librio500)
containing low level rio access routines and a number of command
line utilities. These utilities will allow you to format the
memory in your rio, add/delete folders, and add/delete songs.

%package	share
Summary:	%{summary}
Group:		%{group}

%description 	share
The Rio 500 support package consists of a static library (librio500)
containing low level rio access routines and a number of command
line utilities. These utilities will allow you to format the
memory in your rio, add/delete folders, and add/delete songs.

%package	devel
Summary:	Header files and static libraries needed for rio500 development
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
This package includes the header files and libraries needed for
developing programs accesing a rio500.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"
%configure2_5x --with-id3support --with-psffont=%{_datadir}/rio500/fonts/font-bitmaps.psf --with-usbdevfs=%{enable_usbdevfs}

%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/*/*

%files share -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/rio500

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*
%{_includedir}/rio500

%changelog
* Thu Jul  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.1-7mdk
- fix gcc3.4 patch

* Mon Jun 14 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.1-6mdk
- fix gcc-3.4 build (P0)
- fix buildrequires

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.1-5mdk
- Rebuild

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.1-4mdk
- Build librio500.a with PIC as it could be linked into a DSO that
  does require PIC, always. e.g. gnome-vfs-extras.

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-3mdk
- Release 0.8.1

* Thu Apr 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- New snapshot (it seems old 0.8 version was not released version)

* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8-2mdk
- BuildRequires:	glib-devel
- Copyright --> License

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Correct versionning and Description

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-0.04052001.1mdk
- Snapshot release (04052001) which works with 2.4 kernel

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct path for fonts
- Use more macros

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Compiled with usbdevfs support

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- macros
- BM

* Mon Aug 11 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.7-0mdk
- initial mdk release. no device created
- no usbdevfs support
- from Keith Clayton's spec file (kclayton@jps.net) for 0.7-1
